Last Comment Bug 682996 - Remove Panorama group name from titlebar
: Remove Panorama group name from titlebar
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 10
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks: 587099 604072 609080 653997 663646 726560
  Show dependency treegraph
 
Reported: 2011-08-29 15:12 PDT by Justin Dolske [:Dolske]
Modified: 2016-04-12 14:00 PDT (History)
16 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (8.42 KB, patch)
2011-10-17 00:07 PDT, Raymond Lee [:raymondlee]
ttaubert: review+
Details | Diff | Review
v2 (8.45 KB, patch)
2011-10-17 08:30 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Justin Dolske [:Dolske] 2011-08-29 15:12:04 PDT
I was grumbling on #firefox about being repeatedly confused as to why so many sites had "Moar Stuff" in their <title>s... And then realized that the was my group name prepended to the window titlebar. It's happened to me a couple times even after I knew what was going on!

So, I'd suggest we should remove it.
Comment 1 Thomas Ahlblom 2011-08-29 18:04:37 PDT
I guess that for some users this may become almost as unpopular as removing the location bar.

If one uses the tab groups extensively and has a lot of almost similar tab groups, but for completely different purposes, it's annoying to have to visit the panorama view over and over again just to confirm that you are working in the right tab group at the moment.

And also if the panorama concept gets more matured, and we get keyboard shortcuts for jumping between groups in different ways, it's nice to know where you eventually landed without visiting the panorama view.

On the other hand I've got confused sometimes myself because it's sometimes hard to quickly see what is group name and what is page title. But I don't think removal is the best solution to that.
Comment 2 Alex Jordan [:strugee] 2011-08-29 19:11:23 PDT
Well, we could at least have a preference or an about:config entry to enable/disable it.
Comment 3 Dão Gottwald [:dao] 2011-08-29 22:44:46 PDT
> it's nice to know where you eventually landed without visiting the panorama view.

I would think that the tab you're switching to and the other tabs in the tab bar should make this obvious...

Note that we don't even have a title bar with a title on Windows 7 and there are plans to remove it on OS X.
Comment 4 Tim Taubert [:ttaubert] 2011-08-30 00:03:53 PDT
I definitely second that removal because it irritates me lots of times and I tend to identify my groups via the tabs contained (just like Dão said). If we'd want to keep that feature around I suggest we shouldn't mess with the page title, that just feels wrong to me. That said, I don't think there even is a sensible place for that because the UI will and does not offer enough space for this.

This feature has been around for some time and the removal will surely get some interest (at least from Thomas and Alex ;) so I don't know how to handle this. Seems definitely worth to get some input from the UX team as a first step.
Comment 5 TGOS 2011-08-30 11:06:33 PDT
There are at least two bugs that requested this feature and more people are following them as is the case for this one. See bug 587099 an bug 593752.

For me Tab Groups become useless if I cannot see at all times in which group I am currently are. It is like creating a file browser that does not show the name of the current directory it is displaying. And saying you should know the group by the tabs is like saying "You should know which directory your file browser is currently showing, simply by the files and folders you see inside". Or if you like this analogy better: Why would a text editor display the name of the text file you have currently opened? You should know the text file simply by the content of the document.
Comment 6 Raymond Lee [:raymondlee] 2011-09-07 18:38:19 PDT
(In reply to Dão Gottwald [:dao] from comment #3)
> Note that we don't even have a title bar with a title on Windows 7 and there
> are plans to remove it on OS X.

If we are going to remove the title bar eventually, I think we should remove the group name in window title and find another way to display it.  The down arrow menu button on the tab bar has a "List all tabs" tooltip and we can add the current group name to that tooltip to read "List all tabs in GroupName". It's not very discoverable but we still offer a way to show the current group name.
Comment 7 Alex Limi (:limi) — Firefox UX Team 2011-10-15 23:04:38 PDT
(In reply to Tim Taubert [:ttaubert] from comment #4)
> This feature has been around for some time and the removal will surely get
> some interest (at least from Thomas and Alex ;) so I don't know how to
> handle this. Seems definitely worth to get some input from the UX team as a
> first step.

I think it's fine to remove, especially since the title bar will be gone from most of our platforms soon enough — and is already gone for the majority of our users.

I don't think the group name is that important, the rest of the tabs in the group and overall context do a better job at telling you where you are than a string in a menu does.
Comment 8 Raymond Lee [:raymondlee] 2011-10-17 00:07:36 PDT
Created attachment 567397 [details] [diff] [review]
v1
Comment 9 Tim Taubert [:ttaubert] 2011-10-17 02:01:19 PDT
Comment on attachment 567397 [details] [diff] [review]
v1

Review of attachment 567397 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks!
Comment 10 Raymond Lee [:raymondlee] 2011-10-17 08:28:41 PDT
Passed Try!
https://tbpl.mozilla.org/?tree=Try&rev=0b616b762113
Comment 11 Raymond Lee [:raymondlee] 2011-10-17 08:30:31 PDT
Created attachment 567456 [details] [diff] [review]
v2
Comment 12 Tim Taubert [:ttaubert] 2011-10-17 12:10:27 PDT
https://hg.mozilla.org/integration/fx-team/rev/b284e10652d3
Comment 13 Rob Campbell [:rc] (:robcee) 2011-10-18 10:50:05 PDT
https://hg.mozilla.org/mozilla-central/rev/b284e10652d3
Comment 14 John Chase 2012-02-15 19:53:02 PST
Since I'm no longer able to see the group name I'm assuming it has been determined to remove it. This is very disappointing. I use groups extensively and relied on this to know which group I was using. Is there any hope that an option can be added in preferences to enable group name ?
Comment 15 Alex Jordan [:strugee] 2012-02-15 22:45:36 PST
If I were you I'd file a separate bug on that.
Comment 16 Szabolcs Hubai (:xabolcs) 2012-02-20 12:29:42 PST
(In reply to John Chase from comment #14)
> Since I'm no longer able to see the group name I'm assuming it has been
> determined to remove it. This is very disappointing. I use groups
> extensively and relied on this to know which group I was using. Is there any
> hope that an option can be added in preferences to enable group name ?

What about using a next version of NTT? :)
I'm investigating how to got back this for Nightly Tester Tools' titlebar customization in Bug 726560.
Comment 17 John Chase 2012-02-20 12:38:03 PST
(In reply to Szabolcs Hubai from comment #16)
> (In reply to John Chase from comment #14)
> > Since I'm no longer able to see the group name I'm assuming it has been
> > determined to remove it. This is very disappointing. I use groups
> > extensively and relied on this to know which group I was using. Is there any
> > hope that an option can be added in preferences to enable group name ?
> 
> What about using a next version of NTT? :)
> I'm investigating how to got back this for Nightly Tester Tools' titlebar
> customization in Bug 726560.

Thx. Please keep me in the loop for non-thread communication.
Comment 18 Tim 2012-03-26 10:27:56 PDT
I cannot believe this was removed based on three votes,
with many dissenting opinions and only three votes, and
perhaps most importantly no workarounds or alternatives
in place for the people who say they really need/want this.
For me, the status should read 'RESOLVED BROKEN'
Comment 19 TGOS 2012-03-26 10:55:28 PDT
@Tim: This, among other decisions, caused me to give up on Tab Groups completely. Meanwhile the developers have crippled this feature to the extend it became totally useless for the majority of users. To be honest, among all my work colleagues and family, I see nobody using it anymore, no matter how "cool" they initially found that idea. To be honest, I don't even see any justification that this is a build-in feature, it would have served very well as an extension and there used to be similar extensions in the past that did a much better job on this topic. This is a sad trend I observed recently where more and more very specialized features, interesting only to a small minority of users and probably some core developers, are being added to the core functionality in a way, that these features are in fact only really useful to the few people that initially wanted to have them there. Instead of building a browser that is customizable enough to serve everyone's needs, it is a browser built for the needs of a few people driving these new features. IMHO this is one of the things that pushes more and more people away from Firefox and as a result Chrome and Safari are gaining grounds. The voting system is a joke anyway: Features with 50 to 100 votes are completely ignored for years, other features with 3 votes are implemented regardless how much people oppose them here. The current situation really makes me sad, but I learned to accept it and so should you... or you should do it like many others and see what other browsers there are available for your platform.
Comment 20 Ravi Pina [:ravi] 2012-03-26 11:02:41 PDT
It would be interesting to understand why the group name was added in the first place and why now it has been deemed a bad idea.

I echo the sentiments of many for its value and comment 1 is proving very true.

I would love to see a Tab Groups preferences in the Tab Groups view (possibly represented by a gear icon below the Exist Tab Groups and Search icons at the top right) which gains you access to the preferences of toggling this behavior.  At minimum it should be in about:config.

I have faith that bug 726560 will be resolved, but don't forget to vote early and vote often!
Comment 21 TGOS 2012-03-26 11:23:23 PDT
@Ravi: The same argument can hardly serve for and against a decision at the same time, do you agree? Now when other people and I argued, that without the group name in the title bar, you may lose track what group you are currently looking at, I got the following reply over and over again: "You should know the group, after all you crated it and you decided which tabs to add to it, so one could call you really stupid, if you don't recognize your own group any longer". Of course nobody called me "stupid", I'm exaggerating here a bit; however that's basically what people implied. Now the really funny thing is, the same argument holds against comment 0, the comment that started this bug report: In comment 0 Justin complains that he saw something strange in his title bar, which he didn't understand and thus requested that it should be removed. What is so funny about it? People imply I am stupid if I fail to recognize my active group by its open tabs but they can totally understand that someone does not recognize his own group name any longer, the group name he might have given this group just a very short time ago and instead of telling this user to simply stop naming his groups in the future if that's confusing him, they remove the name altogether. It's a bit like someone comes here and says "I don't understand how to use this feature correctly" and as a result a feature valuable to many users is removed, instead of explaining the user what he did wrong and how to use this feature correctly. It's just bizarre.
Comment 22 Ravi Pina [:ravi] 2012-03-26 12:28:11 PDT
I agree with your first question.

The implication that someone is stupid for not recognizing the tabs within the group is absurd and that is all I will say to that.

What I find the most bothersome is that a feature was added and I created a work flow around that feature (groups for bugs I am working on).  Each of those groups look similar (e.g. all contain at least 1 Bugzilla tab) so labeling them something meaningful is what works for my use case.  I also have groups for other things which may be self documenting by the contents of the tab group, but I have >10 groups almost all the time.  The only way for the thumbnails to be large enough to identify the group is for me to have a 32" display or some display resolution that does not exist yet.  Either way the argument for removal applies if you have limited groups or just cycle through the groups until you land on what you want.

I don't want to dive into the UX aspect of this.  I just want the labels back.
Comment 23 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-26 12:32:50 PDT
This bug only removed the group names from the title bar, it didn't remove the concept of group names entirely. The group names still show up in the panorama view, right?
Comment 24 Ravi Pina [:ravi] 2012-03-26 12:47:35 PDT
You're correct.  It's a subtle dig at the argument for title bar removal.

For my use case the value of adding the group name is to see it in the title bar.  The counter argument is that you should know what tabs are in your group so the name is not needed at all.
Comment 25 Szabolcs Hubai (:xabolcs) 2012-03-26 13:01:05 PDT
(In reply to Gavin Sharp (use gavin@gavinsharp.com for email) from comment #23)
> This bug only removed the group names from the title bar, it didn't remove
> the concept of group names entirely. The group names still show up in the
> panorama view, right?

Yes, the concept is still there!
This allows me to add TabGroup in Nightly Tester Tools' titlebar customization feature. [1],[2]


Now I see, the problem was that the GroupName was first position.
Fortunately in NTT user could modify it's positions not to be so confusing.

About removing / adding this feature to Firefox I agree 
with Alex Jordan (comment #15, comment #2):

> If I were you I'd file a separate bug on that.

and

> Well, we could at least have a preference or an about:config entry to
> enable/disable it.



[1] - Bug 72560
[2] - https://github.com/mozilla/nightlytt/pull/19
Comment 26 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-26 13:17:35 PDT
I don't think we're going to add an about:config option. I'm open to suggestions (in new bugs) about other non-confusing ways to better expose the group name in the default UI, but I don't think that will be easy to do, and is probably something better left to an extension.
Comment 27 Richard Newman [:rnewman] 2012-04-29 14:49:20 PDT
I built a trivial add-on to show the group title in the title bar.

  https://github.com/downloads/rnewman/titlegroup/titlegroup.xpi

Code on GitHub:

  https://github.com/rnewman/titlegroup/

If this works for people, I'll put it up on AMO.

(I don't claim to be a front-end hacker, so apologies in advance for this perhaps being awful. But hey, it doesn't use setTimeout!)
Comment 28 M. Grau 2012-07-31 04:00:41 PDT
(In reply to Richard Newman [:rnewman] from comment #27)
> I built a trivial add-on to show the group title in the title bar.
>   https://github.com/downloads/rnewman/titlegroup/titlegroup.xpi
Hello Richard; thanks for this add-on. Unfortunately it does not work as expected in FF14: The tab group name gets prefixed to the window title when I open a new tab; so far so well. As soon as I open the panorama view (Ctrl+Shift+E) and click on the very same tab, the window title gets replaced again by the site title only (no more tab group name prefixed when looking at the window title via the Win 7 taskbar group for this FF profile). I would really appreciate, if you could fix it.
Comment 29 Richard Newman [:rnewman] 2012-07-31 07:44:12 PDT
(In reply to Grau.Info+Forums from comment #28)
> (In reply to Richard Newman [:rnewman] from comment #27)
> > I built a trivial add-on to show the group title in the title bar.
> >   https://github.com/downloads/rnewman/titlegroup/titlegroup.xpi
> Hello Richard; thanks for this add-on. Unfortunately it does not work as
> expected in FF14…

Please track issues at https://github.com/rnewman/titlegroup/issues/ .

Note You need to log in before you can comment on or make changes to this bug.